From: Debian Python Modules Team
 <python-modules-team@lists.alioth.debian.org>
Date: Wed, 19 Jun 2019 18:56:33 +0000
Subject: upstream includes vendored ply, which is removed when repacking

but still listed in setup
Author: Gordon Ball <gordon@chronitis.net>
---
 setup.py                            | 1 -
 tests/test_lexer.py                 | 2 +-
 xonsh/lexer.py                      | 2 +-
 xonsh/parsers/base.py               | 2 +-
 xonsh/parsers/completion_context.py | 2 +-
 xonsh/parsers/v310.py               | 2 +-
 xonsh/xonfig.py                     | 2 +-
 7 files changed, 6 insertions(+), 7 deletions(-)

diff --git a/setup.py b/setup.py
index df9d6cb..ee91746 100755
--- a/setup.py
+++ b/setup.py
@@ -295,7 +295,6 @@ def main():
         classifiers=["Programming Language :: Python :: 3"],
         packages=[
             "xonsh",
-            "xonsh.ply.ply",
             "xonsh.ptk_shell",
             "xonsh.ptk2",
             "xonsh.procs",
diff --git a/tests/test_lexer.py b/tests/test_lexer.py
index 7a1772a..4b796d5 100644
--- a/tests/test_lexer.py
+++ b/tests/test_lexer.py
@@ -10,7 +10,7 @@ from pprint import pformat
 
 import pytest
 
-from xonsh.ply.ply.lex import LexToken
+from ply.lex import LexToken
 
 
 from xonsh.lexer import Lexer
diff --git a/xonsh/lexer.py b/xonsh/lexer.py
index 004cf59..d2850af 100644
--- a/xonsh/lexer.py
+++ b/xonsh/lexer.py
@@ -10,7 +10,7 @@ import re
 import keyword as kwmod
 import typing as tp
 
-from xonsh.ply.ply.lex import LexToken
+from ply.lex import LexToken
 
 from xonsh.lazyasd import lazyobject
 from xonsh.platform import PYTHON_VERSION_INFO
diff --git a/xonsh/parsers/base.py b/xonsh/parsers/base.py
index 528fbaf..34e86f8 100644
--- a/xonsh/parsers/base.py
+++ b/xonsh/parsers/base.py
@@ -9,7 +9,7 @@ from ast import parse as pyparse
 from collections.abc import Iterable, Sequence, Mapping
 import typing as tp
 
-from xonsh.ply.ply import yacc
+from ply import yacc
 
 from xonsh import ast
 from xonsh.ast import has_elts, xonsh_call, load_attribute_chain
diff --git a/xonsh/parsers/completion_context.py b/xonsh/parsers/completion_context.py
index 013848a..c1a1f32 100644
--- a/xonsh/parsers/completion_context.py
+++ b/xonsh/parsers/completion_context.py
@@ -22,7 +22,7 @@ from typing import (
 from xonsh.lazyasd import lazyobject
 from xonsh.lexer import Lexer
 from xonsh.parsers.base import raise_parse_error, Location
-from xonsh.ply.ply import yacc
+from ply import yacc
 from xonsh.tools import check_for_partial_string, get_line_continuation
 
 
diff --git a/xonsh/parsers/v310.py b/xonsh/parsers/v310.py
index 9884966..add4d6d 100644
--- a/xonsh/parsers/v310.py
+++ b/xonsh/parsers/v310.py
@@ -7,7 +7,7 @@ handle
 import ast
 
 from xonsh.parsers.v39 import Parser as ThreeNineParser
-from xonsh.ply.ply import yacc
+from ply import yacc
 
 
 class Parser(ThreeNineParser):
diff --git a/xonsh/xonfig.py b/xonsh/xonfig.py
index 1d94745..8af5729 100644
--- a/xonsh/xonfig.py
+++ b/xonsh/xonfig.py
@@ -16,7 +16,7 @@ import contextlib
 import collections
 import typing as tp
 
-from xonsh.ply import ply
+import ply
 
 import xonsh.wizard as wiz
 from xonsh import __version__ as XONSH_VERSION
